FloridaSunnyOrangeFactoryBean (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.testmodels.fruit.FloridaSunnyOrangeFactoryBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.testmodels.fruit
Class FloridaSunnyOrangeFactoryBean

    java.lang.Object
      org.mule.tck.testmodels.fruit.FloridaSunnyOrangeFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean

    public class FloridaSunnyOrangeFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean

A Spring FactoryBean implementation for unit testing.

Constructor Summary
`FloridaSunnyOrangeFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class` | `getObjectType()`
`Double` | `getRadius()`
`Integer` | `getSegments()`
`boolean` | `isSingleton()`
`void` | `setRadius(Double radius)`
`void` | `setSegments(Integer segments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloridaSunnyOrangeFactoryBean

    public FloridaSunnyOrangeFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### getRadius

    public Double getRadius()

### setRadius

    public void setRadius(Double radius)

### getSegments

    public Integer getSegments()

### setSegments

    public void setSegments(Integer segments)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.